package com.hzya.frame.cbs8.dto.res;

import java.util.List;

/**
 * @Description 代发代扣 返回参数对象
 * @Author xiangerlin
 * @Date 2024/6/19 08:53
 **/
public class AgentPayResultResDTO {
    // 支付的业务类型
    private String busType;

    // 申请单编号
    private String busNum;

    // 付款账户
    private String payAccount;

    // 付款账户名称
    private String payAccountName;

    // 付款账户开户行
    private String payBankName;

    // 付款银行类型
    private String payBankType;

    // 币种
    private String currency;

    // 金额
    private String amount;

    // 收款账户
    private String revAccount;

    // 收款账户名称
    private String revAccountName;

    // 收款开户行
    private String revBankName;

    // 收款银行类型
    private String revBankType;

    // 收款人省
    private String revProvince;

    // 对账码集合（假设为String列表）
    private List<String> checkCodeList;

    // 收款人市
    private String revCity;

    // 支付渠道
    private String payChannel;

    // 付款单提示信息/银行返回信息
    private String errorMsg;

    // 支付申请状态
    private String status;

    // 经办人ID
    private String createBy;

    // 经办人名称
    private String createByName;

    // 用途
    private String purpose;

    // 摘要/备注
    private String summary;

    // 期望支付时间
    private String expectTime;

    // 支付时间
    private String payDate;

    // 支付状态
    private String payStatus;

    // 客户备用字段1
    private String erpExtend1;

    // 客户备用字段2
    private String erpExtend2;

    // 客户备用字段3
    private String erpExtend3;

    // 计划流水号
    private String planNumber;

    // 资金预算编号
    private String planItemCode;

    // 预算项名称
    private String planItemName;

    // 预算所属单位编码
    private String planUnitCode;

    // 预算所属单位名称
    private String planUnitName;

    // 单位编码（前端展示）
    private String displayUnitCode;

    // 预算单位编码（前端展示）
    private String displayPlanUnitCode;

    // 经办用户单位编码（前端展示）
    private String displayOperaterOrgCode;

    // 付方单位编码（前端展示）
    private String displayPayOrgCode;

    // 客商编号
    private String revCustomerCode;

    // 结算方式
    private String payType;

    //代发代扣详情
    private List<AgentPayQueryDTO> agentDetails;

    public String getBusType() {
        return busType;
    }

    public void setBusType(String busType) {
        this.busType = busType;
    }

    public String getBusNum() {
        return busNum;
    }

    public void setBusNum(String busNum) {
        this.busNum = busNum;
    }

    public String getPayAccount() {
        return payAccount;
    }

    public void setPayAccount(String payAccount) {
        this.payAccount = payAccount;
    }

    public String getPayAccountName() {
        return payAccountName;
    }

    public void setPayAccountName(String payAccountName) {
        this.payAccountName = payAccountName;
    }

    public String getPayBankName() {
        return payBankName;
    }

    public void setPayBankName(String payBankName) {
        this.payBankName = payBankName;
    }

    public String getPayBankType() {
        return payBankType;
    }

    public void setPayBankType(String payBankType) {
        this.payBankType = payBankType;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getRevAccount() {
        return revAccount;
    }

    public void setRevAccount(String revAccount) {
        this.revAccount = revAccount;
    }

    public String getRevAccountName() {
        return revAccountName;
    }

    public void setRevAccountName(String revAccountName) {
        this.revAccountName = revAccountName;
    }

    public String getRevBankName() {
        return revBankName;
    }

    public void setRevBankName(String revBankName) {
        this.revBankName = revBankName;
    }

    public String getRevBankType() {
        return revBankType;
    }

    public void setRevBankType(String revBankType) {
        this.revBankType = revBankType;
    }

    public String getRevProvince() {
        return revProvince;
    }

    public void setRevProvince(String revProvince) {
        this.revProvince = revProvince;
    }

    public List<String> getCheckCodeList() {
        return checkCodeList;
    }

    public void setCheckCodeList(List<String> checkCodeList) {
        this.checkCodeList = checkCodeList;
    }

    public String getRevCity() {
        return revCity;
    }

    public void setRevCity(String revCity) {
        this.revCity = revCity;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getExpectTime() {
        return expectTime;
    }

    public void setExpectTime(String expectTime) {
        this.expectTime = expectTime;
    }

    public String getPayDate() {
        return payDate;
    }

    public void setPayDate(String payDate) {
        this.payDate = payDate;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getErpExtend1() {
        return erpExtend1;
    }

    public void setErpExtend1(String erpExtend1) {
        this.erpExtend1 = erpExtend1;
    }

    public String getErpExtend2() {
        return erpExtend2;
    }

    public void setErpExtend2(String erpExtend2) {
        this.erpExtend2 = erpExtend2;
    }

    public String getErpExtend3() {
        return erpExtend3;
    }

    public void setErpExtend3(String erpExtend3) {
        this.erpExtend3 = erpExtend3;
    }

    public String getPlanNumber() {
        return planNumber;
    }

    public void setPlanNumber(String planNumber) {
        this.planNumber = planNumber;
    }

    public String getPlanItemCode() {
        return planItemCode;
    }

    public void setPlanItemCode(String planItemCode) {
        this.planItemCode = planItemCode;
    }

    public String getPlanItemName() {
        return planItemName;
    }

    public void setPlanItemName(String planItemName) {
        this.planItemName = planItemName;
    }

    public String getPlanUnitCode() {
        return planUnitCode;
    }

    public void setPlanUnitCode(String planUnitCode) {
        this.planUnitCode = planUnitCode;
    }

    public String getPlanUnitName() {
        return planUnitName;
    }

    public void setPlanUnitName(String planUnitName) {
        this.planUnitName = planUnitName;
    }

    public String getDisplayUnitCode() {
        return displayUnitCode;
    }

    public void setDisplayUnitCode(String displayUnitCode) {
        this.displayUnitCode = displayUnitCode;
    }

    public String getDisplayPlanUnitCode() {
        return displayPlanUnitCode;
    }

    public void setDisplayPlanUnitCode(String displayPlanUnitCode) {
        this.displayPlanUnitCode = displayPlanUnitCode;
    }

    public String getDisplayOperaterOrgCode() {
        return displayOperaterOrgCode;
    }

    public void setDisplayOperaterOrgCode(String displayOperaterOrgCode) {
        this.displayOperaterOrgCode = displayOperaterOrgCode;
    }

    public String getDisplayPayOrgCode() {
        return displayPayOrgCode;
    }

    public void setDisplayPayOrgCode(String displayPayOrgCode) {
        this.displayPayOrgCode = displayPayOrgCode;
    }

    public String getRevCustomerCode() {
        return revCustomerCode;
    }

    public void setRevCustomerCode(String revCustomerCode) {
        this.revCustomerCode = revCustomerCode;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public List<AgentPayQueryDTO> getAgentDetails() {
        return agentDetails;
    }

    public void setAgentDetails(List<AgentPayQueryDTO> agentDetails) {
        this.agentDetails = agentDetails;
    }
}
